Can not mount /dev/loop1 on /cow

Bug #492301 reported by Praveen B on 2009-12-04
122
This bug affects 23 people
Affects Status Importance Assigned to Milestone
usb-creator (Ubuntu)
Medium
Unassigned
Declined for Lucid by Robbie Williamson
Declined for Maverick by Robbie Williamson

Bug Description

Binary package hint: usb-creator

LiveUSB stick created using this program failed to boot. The size of my usb stick is 2GB.

The version of usb-creator I have is 0.1.16 (according to synaptic)

1. I created a persistence-enabled 128MB (default value) drive with xubuntu 9.10 desktop i386 iso image.
The stick booted fine and the OS was running ok.

2. I created a persistence-enabled 1.2GB (max value by pulling the slider all the way up). The stick fails to boot by giving the message: 'Can not mount /dev/loop1 on /cow'

I have re-verified the checksums of the iso that I was trying to use and they are fine. I re-tried this particular step thrice and I got the logs during that third attempt.

Using the instructions at: https://wiki.ubuntu.com/DebuggingCasper , I got the following in casper.log:

--
Begin: Running /scripts/casper-premount ...
Done.
Done.
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
stdin: error 0
BusyBox v1.13.3 (Ubuntu 1:1.13.3-1ubuntu7) multi-call binary

Usage: mount [flags] DEVICE NODE [-o options,more-options]

Mount a filesystem. Filesystem autodetection requires /proc be mounted.

Options:
 -a Mount all filesystems in fstab
 -f don't mount
 -i Don't call /sbin/mount.<filesystem> helper
 -r Read-only mount
 -t fs-type Filesystem type
 -w Read-write mount (default)
-o option:
 loop Ignored (loop devices are autodetected)
 [a]sync Writes are asynchronous / synchronous
 [no]atime Disable / enable updates to inode access times
 [no]diratime Disable / enable atime updates to directories
 [no]relatime Disable / enable atime updates relative to modification time
 [no]dev Allow use of special device files / disallow them
 [no]exec Allow use of executable files / disallow them
 [no]suid Allow set-user-id-root programs / disallow them
 [r]shared Convert [recursively] to a shared subtree
 [r]slave Convert [recursively] to a slave subtree
 [r]private Convert [recursively] to a private subtree
 [un]bindable Make mount point [un]able to be bind mounted
 bind Bind a directory to an additional location
 move Relocate an existing mount point
 remount Remount a mounted filesystem, changing its flags
 ro/rw Mount for read-only / read-write

There are EVEN MORE flags that are specific to each filesystem
You'll have to see the written documentation for those filesystems

Can not mount /dev/loop1 on /cow
--

Praveen B (bhamidipati-praveen) wrote :

I have now re-tried the process by creating a LiveUSB of the same image without any persistence. The usb stick now boots up fine.

Now the casper.log (at /var/log) looks like the following:

--
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
/init: line 1: can't open /dev/sr0: No medium found
Shadow passwords are now on.
Generating locales...
  en_US.UTF-8... done
Generation complete.
/bin/casper-reconfigure: package 'gnome-panel-data' is not installed
Using CD-ROM mount point /cdrom/
Identifying.. [1654452dc3b9234ba67f1922b6b6ec44-2]
Scanning disc for index files..
Found 4 package indexes, 0 source indexes, 0 translation indexes and 1 signatures
Found label 'Xubuntu 9.10 _Karmic Koala_ - Release i386 (20091028.3)'
This disc is called:
'Xubuntu 9.10 _Karmic Koala_ - Release i386 (20091028.3)'
Copying package lists...gpgv: Signature made Wed Oct 28 20:25:07 2009 UTC using DSA key ID FBB75451
gpgv: Good signature from "Ubuntu CD Image Automatic Signing Key <email address hidden>"

Reading Package Indexes... 0%

Reading Package Indexes... 5%

Reading Package Indexes... Done

Writing new source list
Source list entries for this disc are:
deb cdrom:[Xubuntu 9.10 _Karmic Koala_ - Release i386 (20091028.3)]/ karmic main multiverse restricted universe
Repeat this process for the rest of the CDs in your set.
W: Skipping non-exisiting file /cdrom/dists/karmic/main/binary-i386/Packages
W: Skipping non-exisiting file /cdrom/dists/karmic/multiverse/binary-i386/Packages
W: Skipping non-exisiting file /cdrom/dists/karmic/restricted/binary-i386/Packages
W: Skipping non-exisiting file /cdrom/dists/karmic/universe/binary-i386/Packages
 Removing any system startup links for /etc/init.d/apparmor ...
   /etc/rcS.d/S37apparmor
dpkg: warning: ignoring request to remove gdm-guest-session which isn't installed.
No value set for `/apps/netbook-launcher/favorites/favorites_list'
No value set for `/apps/netbook-launcher/favorites/favorites_list'
No value to set for key: `/apps/netbook-launcher/favorites/favorites_list'
--

Joe Edmonds (joee) wrote :

There is a workaround: choose "Discarded on shutdown..." option when creating the USB Startup Disk.

http://newyork.ubuntuforums.org/showthread.php?p=8407323

Praveen B (bhamidipati-praveen) wrote :

Thank you, Joe. The workaround solves the problem.

However, I was trying to create a disk with persistence and the bug I raised was w.r.t the sizes with which persistence works and doesn't work.

Usama Akkad (damascene) wrote :

I've the same problem with Asus Eee 1005HA and the workaround works for me

Changed in usb-creator (Ubuntu):
status: New → Confirmed
Download full text (4.2 KiB)

>
> From: Usama Akkad <email address hidden>
> Subject: [Bug 492301] Re: Can not mount /dev/loop1 on /cow
> To: <email address hidden>
> Date: Tuesday, 12 January, 2010, 1:54 PM
> I've the same problem with Asus Eee
> 1005HA and the workaround works for
> me
>

Hi,
The workaround asks you to disable persistence completely right?

I wanted persistence and found a solution to the problem. To use a later version of 'usb-creator' v0.2.12 which has no problems with persistence.

If you want persistence, try using that version of 'usb-creator'.

Thanks,
Praveen

> ** Changed in: usb-creator (Ubuntu)
>        Status: New =>
> Confirmed
>
> --
> Can not mount /dev/loop1 on /cow
> https://bugs.launchpad.net/bugs/492301
> You received this bug notification because you are a direct
> subscriber
> of the bug.
>
> Status in “usb-creator” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: usb-creator
>
> LiveUSB stick created using this program failed to boot.
> The size of my usb stick is 2GB.
>
> The version of usb-creator I have is 0.1.16 (according to
> synaptic)
>
> 1. I created a persistence-enabled 128MB (default value)
> drive with xubuntu 9.10 desktop i386 iso image.
> The stick booted fine and the OS was running ok.
>
> 2. I created a persistence-enabled 1.2GB (max value by
> pulling the slider all the way up). The stick fails to boot
> by giving the message: 'Can not mount /dev/loop1 on /cow'
>
> I have re-verified the checksums of the iso that I was
> trying to use and they are fine. I re-tried this particular
> step thrice and I got the logs during that third attempt.
>
> Using the instructions at: https://wiki.ubuntu.com/DebuggingCasper , I got the
> following in casper.log:
>
> --
> Begin: Running /scripts/casper-premount ...
> Done.
> Done.
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> stdin: error 0
> BusyBox v1.13.3 (Ubuntu 1:1.13.3-1ubuntu7) multi-call
> binary
>
> Usage: mount [flags] DEVICE NODE [-o options,more-options]
>
> Mount a filesystem. Filesystem autodetection requires /proc
> be mounted.
>
> Options:
>     -a
> Mount all filesystems in fstab
>     -f
> don't mount
>     -i
> Don't call /sbin/mount.<filesystem> helper
>     -r
> Read-only mount
>     -t fs-type    Filesystem
> type
>     -w
> Read-write mount (default)
> -o option:
>     loop
>     Ignored (loop devices are autodetected)
>     [a]sync
>     Writes are asynchronous / synchronous
>     [no]atime    Disable /
> enable updates to inode access times
>     [no]diratime    Disable /
> enable atime updates to directories
>     [no]relatime    Disable /
> enable atime updates relative to modification...

Read more...

Phil (neo6238-ubuntu) wrote :

Then why don't put the working usb-creator on the final disk? I have the same problem here in beta2 and rc.

Rudolf Reuter (reuterr) wrote :

I had the same problem with Ubuntu 1004 netbook version on an Asus EeePc 900A.
I used the usb-creator.exe from the ISO image on Win XP.

The workaround from Joe Edmunds did help:
There is a workaround: choose "Discarded on shutdown..." option when creating the USB Startup Disk.

Thank you, Rudolf Reuter

dach (dacherx) wrote :

Don't do it that way . The problem is 9.10 UNR has a bad usb-creator.exe. Like I wrote in https://help.ubuntu.com/community/Installation/FromUSBStick :

"Can not mount /dev/loop1 on /cow" message because usb-creator.exe is not creating a valid casper-rw file holding ext2/ext3 filesystem. Fix: After running usb-creator.exe, recreate casper-rw using cygwin tools or http://www.pendrivelinux.com/casper-rw-creator-make-a-persistent-file-from-windows/.

Marian Sigler (maix42) wrote :

dach: Are you sure? This is the code that creates the persistence image:

Hardy:
        popen(['dd', 'if=/dev/zero', 'of=%s/casper-rw' % target, 'bs=1M', 'count=%s' % persist])
        popen(['mkfs.ext3', '-F', '%s/casper-rw' % target])

Lucid:
        dd_cmd = ['dd', 'if=/dev/zero', 'bs=1M', 'of=%s' %
                      os.path.join(str(self.target), 'casper-rw'),
                      'count=%d' % self.persist]
                mkfs_cmd = ['mkfs.ext3', '-F', '%s/casper-rw' % str(self.target)]

Except some windows compatibility changes that's both the same.

dach (dacherx) wrote :

I notice the UNR iso in http://www.ubuntu.com/getubuntu/download-netbook has been updated to 10.04. I am downloading it now and will report back when I try it out....

OK, trying new usb-drive install

I see the unpacked usb-creator python files in temp directory. There is dd.exe program, but no mkfs.ext3.exe. So based on that, I think what is happening is dd is creating casper-rw persistence file, but there is no mkfs.ext3.exe program to create the file structure.

So the same usb boot problem on 10.04 netbook edition. Message from booting from usb thumbdrive:

(after ubuntu graphics load screen)

BusyBox v1.13.3 (Ubuntu 1:1.13.3-1ubuntu11) built-in shell (ash)
Enter 'help' fora list of built-in commands.

(initramfs) Can not mount /dev/loop1 on /cow
_

Omer Akram (om26er) on 2010-05-09
Changed in usb-creator (Ubuntu):
importance: Undecided → Medium
foureyesboy (foureyesboy-boy) wrote :

I used "Startup Disk Creator" on my Lucid to setup my USB flash drive with persistent data. And I experience the problem described in bug #500822 and #508944, which both are said to be duplicate of this bug.

It stops booting at the Ubuntu screen, with dots moving beneath. But it never continues. Hitting escape shows the following:

(process:320): Glib-WARNING **: getpwuid_r(): failed due to unknown user id (0)

stdin: error 0
/init: line 7: can't open /dev/sr0: No medium found
/init: line 7: can't open /dev/sr0: No medium found
/init: line 7: can't open /dev/sr1: No medium found
/init: line 7: can't open /dev/sr1: No medium found
stdin: error 0
stdin: error 0
/init: line 7: can't open /dev/sr0: No medium found
/init: line 7: can't open /dev/sr0: No medium found
/init: line 7: can't open /dev/sr1: No medium found
/init: line 7: can't open /dev/sr1: No medium found
stdin: error 0
stdin: error 0
stdin: I/O error
........

Praveen B indicates that using usb-creator 0.2.12 is fine, but I checked mine was 0.2.22 already as indicated in Synaptics.

Again, the same problem is not observed if the usb is prepared with non-persistent data.

I have recently created a Lucid liveUSB disk using Karmic's 'Startup Disk Creator' and the liveUSB is working fine (I am writing this from Lucid liveUSB). The version of Karmic's 'Startup Disk Creator' was 0.2.12 according to synaptic. I haven't tried with 0.2.22.

Friends,
I have used the usb-creator (0.2.22 reported by synaptic on lucid xubuntu) to create a live usb using xubuntu 10.04 iso image. I was able to successfully boot it up and get to the Xfce desktop manager. I am not able to see the problem you guys are facing.

All the previous trials I did were with xubuntu. May be there is a problem with other flavors of ubuntu.

I have successfully used usb-creator-kde 0.2.22 with Lucid Kubuntu CD, but I had problems earlier that seem to have come from two sources. Originally, I was testing on a machine that would only boot USB sticks formatted with fat16 ("Could not find kernel image: linux"). I was able to work around that by copying the files produced by usb-creator-kde 0.2.8 onto a fat 16 formatted stick, but then ran into the problem that started this bug report.

My successful test used the vfat filesystem and was on a newer machine, but that stick still failed on the fat16-only machine.

So, usb-creator 0.2.22 looks good, but could be improved for use on older machines by allowing fat16 as a possible choice for formatting. Also, the documentation might point out the need to use 0.2.22 or newer version of usb-creator.

dach (dacherx) wrote :

^ Are you using the linux usb-creator after booting linux?

If so, it would not apply to this bug, as the broken usb-creator.exe is the ms windows version that is included in the root of the ubuntu-10.04-netbook-i386.iso.

It's not good to force people to first create than boot into ubunutu live cd when they only want to create ubunutu usb thumbdrive, especaily when netbooks do not even come with CD/DVD hardware to create a live cd. And you waste a CD/DVD. Since I'm using the Netbook version of ubuntu on netbook, it only makes sense to friendly to to install from windows non-CD/DVD system using only an iso image. I'm using a windows XP, virtual daemon cd mounted ubuntu-10.04-netbook-i386.iso to create my live ubuntu usb thumbdrive.

Nguyen Anh Minh (minhna) wrote :

If you got this bug, when you boot from USB, press F6 then edit the boot option:
#Remove this:
file=/cdrom/preseed/ubuntu.seed
#Add these:
live-media-path=/casper/
ignore_uuid

#Full sample:
append boot=casper initrd=/casper/initrd.lz live-media-path=/casper/ quiet splash ignore_uuid --

If you don't want to edit every time you boot from USB, you can edit this file in USB:
/syslinux/text.cfg

I've tried the workaround that Nguyen Anh Minh mentioned, and it's still not working. I'm using usb-creator-gtk from Lucid, to copy a custom LiveCD [also Lucid based] to my USB device. It eventually gives up, but it takes about 30 seconds or so.

Arne Goetje (arnegoetje) wrote :

I still get the
"(initramfs) Can not mount /dev/loop1 on /cow"
message when trying to boot the maveric image created with usb-creator 0.2.22 on Lucid.

The boot options mentioned by Nguyen Anh Minh don't work for me either.

Robbie Williamson (robbiew) wrote :

Does this bug occur if you create the USB stick without persistence enabled? If not, then this could be fixed in Maverick and needs fixing in Lucid-updates, see https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/627672

Download full text (4.9 KiB)

Hi,
I was able to get over this problem by creating the usb stick with the next version of usb-creator (0.x.20). In fact I was able to create persistence-enabled usb sticks for versions botth 9.10 and 10.04 with no problems none whatsoever with the next version of usb-creator (i.e. after 0.1.16).

I think the problem was probably with 0.1.16.

Sorry for not closing/updating the defect. I was hesitant to declare that the defect was solved because even others chipped in with similar sounding problems. I did respond to their concerns that my problem did go away and that I was able to proceed, but I don't think that quite solved the issues of others.

Thanks much for getting to this defect. It really boosts the confidence of the users that Ubuntu takes these submitted launchpad bugs very seriously.

And finally, kudos for a wonderful distro! (I didn't even have to consider an another linux option since last two years)

Praveen

--- On Fri, 3/9/10, Robbie Williamson <email address hidden> wrote:

> From: Robbie Williamson <email address hidden>
> Subject: [Bug 492301] Re: Can not mount /dev/loop1 on /cow
> To: <email address hidden>
> Date: Friday, 3 September, 2010, 10:39 PM
> Does this bug occur if you create the
> USB stick without persistence
> enabled? If not, then this could be fixed in Maverick and
> needs fixing
> in Lucid-updates, see
> https://bugs.launchpad.net/ubuntu/+source/ubiquity/+bug/627672
>
> --
> Can not mount /dev/loop1 on /cow
> https://bugs.launchpad.net/bugs/492301
> You received this bug notification because you are a direct
> subscriber
> of the bug.
>
> Status in “usb-creator” package in Ubuntu: Confirmed
>
> Bug description:
> Binary package hint: usb-creator
>
> LiveUSB stick created using this program failed to boot.
> The size of my usb stick is 2GB.
>
> The version of usb-creator I have is 0.1.16 (according to
> synaptic)
>
> 1. I created a persistence-enabled 128MB (default value)
> drive with xubuntu 9.10 desktop i386 iso image.
> The stick booted fine and the OS was running ok.
>
> 2. I created a persistence-enabled 1.2GB (max value by
> pulling the slider all the way up). The stick fails to boot
> by giving the message: 'Can not mount /dev/loop1 on /cow'
>
> I have re-verified the checksums of the iso that I was
> trying to use and they are fine. I re-tried this particular
> step thrice and I got the logs during that third attempt.
>
> Using the instructions at: https://wiki.ubuntu.com/DebuggingCasper , I got the
> following in casper.log:
>
> --
> Begin: Running /scripts/casper-premount ...
> Done.
> Done.
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> /init: line 1: can't open /dev/sr0: No medium found
> stdin: error 0
> BusyBox v1.13.3...

Read more...

Changed in usb-creator (Ubuntu):
status: Confirmed → Fix Released
Joel Pickett (jpickett) wrote :

Seems to have come back in the Natty dailies... running the i386 daily Natty iso, dated 14 February 2011

Bart Verwilst (verwilst) wrote :

i'm also unable to boot the USB media with the error

/init: line7: can't open /dev/sr0: No medium found

Using 0.2.28.3 and 0.2.30. Trying to boot Natty and Oneiric images.

Guillaume Hain (zedtux) wrote :

Same here. Trying to create an USB bootable stick with Oneiric Alpha 3 iso but still fail with the can't open /dev/sr0 error message

Matifou (matthieu-stigler) wrote :

Same here with Ubuntu 11.04 on casper persistent! The bug should be re-opened! Thanks

Jon Bailey (hobart) wrote :

Still affects Ubuntu 11.10, following exact directions from ubuntu.com site for creating a live USB.

Robbie Williamson (robbiew) wrote :

Please open a new bug to report a problem with usb-creator. This bug was fixed. What you are experiencing is a new bug.

pemuro (pmr-f) wrote :

Got he same message, but AFTER a first successfull boot and exploring session on my netbook with boot-problems from internal hdd. I used the newes version Ububtu 11.04 So the bug is not yet fixed or do I have a hardware-problem?

I need a persistance-file (on a 16GB-stick I chose the max. 4GB for persistance ) giving us the huge advantage over a life-CD: I could save in the persistance file the WLAN-settings, set and save e-mail-service in evolution, and it worked. Wanted to also try to install persistantly Thunderbird, to possibly read my local folders on the olld hdd. All NOT possible with no good size persistance-file.

I created the PENDRIVE on a PC under WinowsXP SP3 and had to learn to switch off aVra's aVira-Guard, for otherwise it blocks access to the autorun.ini file which the install tries to write at the end of installytion.

But even with boot-order ALL set to usb-hdd, USB-floppy, ()USB-flash not available on this PC). Still Ubuntu would not boot but WindowsXP did (even tjough boot from other devices was DISABLED!) Though I had turned off aVira-Guard during the previous session, by default it is turne ON again after re-booting and blocked again.

During the successfull life-Ubunto-session, I tried to create a permanent full istallation of Ubuntu in a 35GB PRIMARY partition (with 2 others on a 500GB USB-hdd), but the installer was not able to create a swap-partition within it, thats why I why I removed said partition on the PC and created a 31GB Linux-partition set aktiv (i.e. bootable) and a 4GB swap-partition without a drive-letter.

Mounting the ubuntu-11.04-.iso on a virual DVD-drive by 120%alcol and starting the full installation I got an ERRor-msg: Read-error. the disk will not be bootable!

Help !?

.

ski (skibrianski) wrote :

In case it helps anyone else, I have this problem with 10.04 and 11.04, but NOT 11.10. Good luck

clopezsandez (clopezsandez) wrote :

I have the same problem

Can not mount /dev/loop1 on cow

 with unetbootin if I generate a USBLive with an 32bit ISO image (10.04.4) in a computer with a 64bits kernel (Fedora Linux 3.3.2-6.fc16.x86_64). The same computer generates a perfect USBLive with 10.04.4 AMD64 ISO. I generate two perfect USBlive with 10.04.4 in a computer with a 64bits chip, but with 32 bits kernel. Really I do not know the origin of this problem, but I suppose it is associated with 32bits images generated in 64bits kernel.

gerdkolano (gerdkolano) wrote :

I've got the same problem booting 13.04 from USB , disabled both floppy and floppy controller in the BIOS.

Pavel (pavel-pokorny) wrote :

I get
BusyBox v1.21.1 (Ubuntu 1:1.21.0-ubntu1) built-in shell (ash)
Enter 'help' for a list of built-in commands.

(initramfs) mount: mounting /dev/loop1 on /cow failed: Invalid argument
Can not mount /dev/loop1 on /cow

when trying to install Ubuntu 14.04.
Pavel

Pavel (pavel-pokorny) wrote :

In Ubuntu 14.04 I get this strange message:

 usb-creator-gtk --version
0.2.23

(usb-creator-gtk:14236): GLib-CRITICAL **: g_hash_table_destroy: assertion 'hash_table != NULL' failed

Is it indeed critical?

Pavel

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers